import type { FetchOptions } from 'ofetch';
import type { GraphqlMiddlewareCache } from '../helpers/ClientCache.js';
import type { GraphqlResponse } from '#nuxt-graphql-middleware/response';
import type { RequestCacheOptions } from './../types.js';
export declare function performRequest<T>(
/**
 * The operation type.
 */
operation: 'query' | 'mutation', 
/**
 * The name of the operation.
 */
operationName: string, 
/**
 * The operation variables.
 */
variablesOrBody: Record<string, any>, 
/**
 * Fetch options set on the composable.
 */
overrideFetchOptions: FetchOptions, 
/**
 * The global client options determined in the composable.
 */
globalClientContext: Record<string, any>, 
/**
 * Client options overrides set on the composable.
 */
overrideClientContext: Record<string, any>, 
/**
 * The cache options set on the composable.
 */
cacheOptions: RequestCacheOptions): Promise<GraphqlResponse<T>>;
declare module '#app' {
    interface NuxtApp {
        $graphqlCache?: GraphqlMiddlewareCache;
    }
}
