export declare function encodeVariables(variables?: Record<string, any> | null): Record<string, any>;
/**
 * Get the variables from query parameters.
 *
 * For simple cases with type prefixes:
 * ?name=Jon&n:age=20&b:isUser=false
 *
 * In complex cases, the entire variables are sent as a JSON encoded string:
 * ?__variables=%7B%22foobar%22:%7B%22path%22:%22%22%7D%7D
 */
export declare function decodeVariables(query: Record<string, any>, validKeys?: string[]): any;
