import { useNuxt } from '@nuxt/kit';

const CONTEXT_KEY = "_nuxt_graphql_middleware";
function useGraphqlModuleContext(options) {
  const nuxt = useNuxt();
  const context = nuxt[CONTEXT_KEY];
  if (!context) {
    if (options?.nullOnMissing) {
      return null;
    }
    throw new Error(
      "nuxt-graphql-middleware context is not available. Make sure you call this method only after nuxt-graphql-middleware has been setup. If you call this in a module, make sure your module is declared after nuxt-graphql-middleware in your `modules` Nuxt config."
    );
  }
  return context;
}

export { useGraphqlModuleContext };
